@ECHO OFF & CLS
ECHO[
ECHO #################################################
ECHO.
ECHO Vypnuti konfigurace pro pripojeni na kolejich OU:
ECHO.
ECHO #################################################
ECHO.

COLOR B
SETLOCAL ENABLEDELAYEDEXPANSION

ECHO Vypis sitovych adapteru a jejich MAC adres ...
ECHO ( MAC adresa = Fyzicka adresa )
getmac /v
ECHO.

IF NOT "%OS%"=="Windows_NT" GOTO ERR
VER | FINDSTR /L "5.1." > NUL:
IF %ErrorLevel% EQU 0 GOTO XP
goto Wver

:Wver
VER | FINDSTR /L "6." > NUL:
IF %ErrorLevel% EQU 0 GOTO W7
GOTO ERR


:XP
color A
ECHO Running XP
ECHO.
rem sc config wzcsvc start= auto
net stop wzcsvc

rem sc config dot3svc start= auto
net stop dot3svc

ECHO **************************************************************
ECHO.
ECHO Jsou dostupna tato jmena sitovych pripojeni 'NetConnectionID': 
ECHO.
wmic nic where "netconnectionid like '%%'" get netconnectionid
ECHO "--^--^--^--^--^--^--^--^--^--^--^--^--^--^--^--^--^--^--^--"
ECHO.

:vloz
set /p lan=Enter the LAN Connection Name of the top listing / Vyber si vyse nazev sitoveho pripojeni a vloz jej zde ( pravym tl. mysi: Oznac, zkopiruj 'Enter' a vloz, bez mezer za nazvem...) :  

rem echo %lan%
if "%lan%"=="" goto vloz

set net="%lan%"
echo %NET%
ECHO.

rem netsh int ip set addr name=%NET% dhcp
rem netsh int ip set dns name=%NET% dhcp
rem netsh int ip set wins name=%NET% dhcp

netsh lan add profile filename=XPOneXoff.xml interface=%NET%

ipconfig /flushdns
rem ipconfig /release %NET%
rem ipconfig /renew %NET%
GOTO:EOF


:W7
color E
ECHO Running Windows 7
ECHO.

rem sc config dot3svc start= auto
net stop dot3svc

ECHO **************************************************************
ECHO Jsou dostupna tato jmena sitovych pripojeni 'NetConnectionID': 
ECHO.
wmic nic where "netconnectionid like '%%'" get netconnectionid
ECHO "--^--^--^--^--^--^--^--^--^--^--^--^--^--^--^--^--^--^--^--"
ECHO.

:zadej
set /p lan=Enter the LAN Connection Name of the top listing / Vyber si vyse nazev sitoveho pripojeni a vloz jej zde ( pravym tl. mysi: Oznac, zkopiruj 'Enter' a vloz, bez mezer za nazvem...) :  

rem echo %lan%
if "%lan%"=="" goto zadej

set net="%lan%"
echo %NET%
ECHO.

rem netsh int ip set addr name=%NET% dhcp
rem netsh int ip set dns name=%NET% dhcp
rem netsh int ip set wins name=%NET% dhcp

netsh lan add profile filename=OneXoff.xml interface=%NET%

ipconfig /flushdns
rem ipconfig /release %NET%
rem ipconfig /renew %NET%
GOTO:EOF


:ERR
COLOR 4F
ECHO ERROR / Chyba ^^!
ECHO ***************
ECHO OS not Windows XP SP3 or newer version (Vista, Win 7, Win 8).
ECHO.
ECHO OS neni Windows XP SP3 nebo novejsi (Vista, Win 7, Win 8).
ECHO.
VER
GOTO:EOF
